"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryModifierPlugin = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
var _plugins = require("@webiny/plugins");
class ElasticsearchQueryModifierPlugin extends _plugins.Plugin {
  constructor(callable) {
    super();
    this.callable = callable;
  }
  modifyQuery(params) {
    if (typeof this.callable !== "function") {
      throw new _error.default(`Missing modification for the query.`, "QUERY_MODIFICATION_MISSING", {
        params
      });
    }
    this.callable(params);
  }
}
exports.ElasticsearchQueryModifierPlugin = ElasticsearchQueryModifierPlugin;

//# sourceMappingURL=ElasticsearchQueryModifierPlugin.js.map