import { ElasticsearchCatClusterHealthStatus } from "../../../operations";
import { IReason } from "./IReason";
export interface IClusterHealthReasonParams {
    minimum: ElasticsearchCatClusterHealthStatus;
    current: ElasticsearchCatClusterHealthStatus;
    description?: string;
}
export declare class ClusterHealthReason implements IReason {
    readonly name = "clusterHealth";
    readonly minimum: ElasticsearchCatClusterHealthStatus;
    readonly current: ElasticsearchCatClusterHealthStatus;
    readonly description?: string;
    constructor(params: IClusterHealthReasonParams);
}
export declare const createClusterHealthStatusReason: (params: IClusterHealthReasonParams) => ClusterHealthReason;
